@import url('https://fonts.googleapis.com/css2?family=Paytone+One&family=Poppins:wght@200;300;600&display=swap');
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family:  'Poppins', sans-serif;
    text-decoration: none;
    list-style: none;
}

body {
    min-height: 100vh;
}

/* --------- HEADER --------- */
#header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #0B08AF;
    padding: 20px 12%;
    transition: all .50s ease;
    box-shadow: #000007 0px 0px 25px;
    position: sticky;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
  }
  
  #header .logo{
    display: flex;
    align-items: center;
    width: 150px;
  }
  
  .navbar{
    display: flex;
  }
  .navbar a{
    color: #e8e8ef;
    font-size: 1.0rem;
    font-weight: 500;
    padding: 5px 0;
    margin: 0px 30px;   
    transition: all .50s ease;
  }
  .navbar a:hover{
    color: #016fd4;
    border-bottom: 2px solid #016fd4;
  }
  .navbar a.active{
    color: #fdc402;
    font-weight: 600;
    border-color: #fdc402;
  }
  
  .git-logo i{
    font-size: 40px;
    margin: 7px;
  }
  
  .main{
    display: flex;
    align-items: center;
    font-size: 25px;
  }
  
  .main a{
    margin-right: 25px;
    margin-left: 10px;
    color: #e8e8ef;
    font-size: 1rem;
    font-weight: 500;
    transition: all .50s ease;
  }
  
  /* icons */
  .nav-user{
    display: flex;
    align-items: center;
    background: #080681;
    border-radius: 12px;
    padding: 8px 0px;
    cursor: pointer;
  }
  .nav-icon{
    display: flex;
    align-items: center;
    background: #080681;
    border-radius: 12px;
    padding: 2px 5px;
    cursor: pointer;
  }
  .nav-icon i{
    font-size: 25px;
    margin: 7px;
  }
  .nav-user i{
    font-size: 25px;
    margin: 7px;
  }
  
  
  .main a:hover{
    color: #016fd4;
    font-size: 1.1rem;
    font-weight: 500;
    transition: all .50s ease;
  }
  #menu-icon{
    font-size: 35px;
    color: white;
    cursor: pointer;
    z-index: 10001;
    display: none;
  }
  
  /* Estilos para el menú desplegable */
  .user-menu-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    top: 100%;
  }
  
  .nav-user:hover .user-menu-content {
    display: block;
  }
  
  .user-menu-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }
  
  .user-menu-content a:hover {
    background-color: #f1f1f1;
  }
  
/* --------- HERO PAGE --------- */
#hero{
    background-image: url("../assets/identity/hero2.jpg");
    height: 90vh;
    width: 100%;
    background-size: cover;
    background-position: center;
    padding: 0px 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: #fff;
}

.container-form {
    display: flex;
    border-radius: 20px;
    box-shadow: 0px 7px rgba(0, 0, 0, 0.1);
    height:500px;
    max-width: 900px;
    transition:all 1s ease;
    margin:10px;
}

/* ---------------------------------------- */
.information {
    width: 100%;
    display:flex;
    align-items: center;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.294);
    border-top-left-radius:200px; 
    border-bottom-left-radius: 20px;
    
}
.txtll{
    font-weight: 600;
}
.info-childs {
    background-color: rgba(251, 246, 255, 0.623);
    height: 500px;
    border-top-left-radius: 28px;
    border-bottom-left-radius: 28px;
    padding: 16px;}

    .info-childs{
    width: 100%;
    padding: 35px;
}

.info-childs h2{
    font-size: 1.9rem;
    color:#FDC402;
}

.info-childs p {
    margin: 70px 0 ;
    color: rgb(13, 13, 14);
    
}

.info-childs input {
background-color: transparent;
outline: none;
border:solid 2px #10031c ;
border-radius: 50px;
padding: 10px 40px;
color: rgb(0, 0, 0);
font-size:  1.1rem; 
cursor: pointer;
transition: background-color .3s ease ;
}

.info-childs input:hover{
    background-color: rgb(88, 26, 145) ;
    border: none;
    color: rgb(252, 248, 255);;
    box-shadow:0 2px 5px rgba(0, 0, 0, 0.1);

}

.form-information h3{
    display:flex;
    align-items:center ;
    justify-content:center;
    width: 140%;
    text-align:center;
    background-color: #161070;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px; 
}

.form-information-childs h3{
    padding:0  50px;
}

.form-information-childs h3{
    color: rgb(248, 246, 250);
    font-size: 1.1rem;
}

.form-information-childs p{
    color:#FDC402;
    font-size: 1.3rem;
    font-weight: 600;
}

.icons {
    margin: 7px 0;
}

.icons i{
    border-radius: 100%;
    padding: 4px;
    cursor: pointer;
    margin: 0 10px;
    color: rgb(248, 248, 248);
    border: solid thick #016FD4;
    transition: background-color 0.3s ease;
    box-shadow:0 2px 5px rgba(0, 0, 0, 0.1);
    
}

.icons i:hover{
    background-color: #c08cf5 ;
    color: #9045DC;
}

.form{
    margin: 10px 0 0 0;
}

.form label{
    display: flex;
    align-items: center;
    margin-bottom: 15px;
    border-radius: 20px;
    padding: 0 1px;
    background-color: #d6d3da;
    box-shadow:0 2px 5px rgba(0, 0, 0, 0.1);
}

.form label input {
    width: 100%;
    padding: 10px;
    background-color: #d6d3da;
    border: none;
    outline: none;
    border-radius: 10px;
    color: #350665;
    
}

.form label i {
    color: #161070;
}

form input[type="submit"]{
    background-color: #efefe89d;
}

.hide{
    position: absolute;
    transform: translateY(-300%);
}
/* --------- Footer ----------*/
/* Estilos generales del footer */
footer {
    background-color: #2f3439;
    background-image: url("data:image/svg+xml,%3Csvg width='32' height='64' viewBox='0 0 32 64' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0 28h20V16h-4v8H4V4h28v28h-4V8H8v12h4v-8h12v20H0v-4zm12 8h20v4H16v24H0v-4h12V36zm16 12h-4v12h8v4H20V44h12v12h-4v-8zM0 36h8v20H0v-4h4V40H0v-4z' fill='%23495057' fill-opacity='0.4' fill-rule='evenodd'/%3E%3C/svg%3E");
    color: white;
    padding: 20px 0;
}

.footer-content {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.footer-section {
    width: 40%;
    text-align: left;
}

.footer-section h3 {
    color: #ecbd2e;
    border-bottom: 1px solid #777;
    padding-bottom: 5px;
}

.footer-section ul li {
    margin-bottom: 10px;
}

.footer-section a {
    color: white;
    text-decoration: none;
}

.footer-section a:hover {
    color: #ddd;
}

.social-icon {
    font-size: 1.4rem;
    margin-right: 8px;
}

/* Estilos del footer inferior */
.footer-bottom {
    text-align: center;
    padding-top: 10px;
    border-top: 1px solid #777;
}
/*RESPONSIVE FORM*/

@media screen and (max-width : 750px) {
    html{
        font-size: 12px;
    }   
}

@media screen and (max-width : 580px) {
    html{
        font-size: 10px;

    }   


.container-form{
    height: auto;
    flex-direction: column;
}

.information{
    width: 100%;
    padding: 20px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 0px;
    border-bottom-right-radius: 0px;
}  
.form-information{
    width: 100%;
    padding: 20px;
    border-bottom-left-radius: 20px;
    border-top-right-radius: 0; 
    
}
}
@media (max-width: 1100px){
    .header{
        padding: 14px 2%;
        transition: .2s;
    }
    .navbar{
        padding: 5px 0;
        margin: 0px 20px;
    }
}
@media (max-width: 1090px){
    #menu-icon{
        display: block;
    }
    .navbar{
        display: none;
    }
    .navbar a{
        display: block;
        margin: 12px 0px; 
        padding: 0px 25px;
        transition: all .50s ease;
        color: #080681;
        font-weight: 600;
    }
     .navbar a:hover{
        color: #016fd4;
        border-bottom: 2px solid #016fd4;
        transform: translate(5px);
    } 
    .navbar a.active{
        color: #016fd4;
        font-weight: 600;
        border-color: #016fd4;
    }
    .navbar.open{
        position: absolute;
        top: 100%;
        right: 2%;
        width: 250px;
        height: 29vh;
        background-image: linear-gradient(to right bottom, #e8e8ef, #e0e2f0, #d7ddf2, #cbd8f3, #bed4f4, #adcaf2, #9bc1f0, #87b7ee, #6da5e8, #5293e2, #3581db, #016fd4);
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        border-radius: 8px;
    }
}
